Page MenuHomePhabricator

Add a visual hint to indicate location of the activated Offline Library
Closed, InvalidPublic

Description

Note: this is carried over UX-debt from T179072

User story

As a user unfamiliar with Offline library, I want a visual hint of where to access the feature once it is enabled.

Proposed solution

When the 'Offline Library' is enabled, the menu item becomes visible in the feed overflow and is hinted with a Yellow50 dot.

Initially no 'Offline library' in overflow
Settings with feature enabled
Overflow shown with Yellow50 colored dot to hint at the new menu item
Overflow opened with Offline Library menu item

Details

Related Gerrit Patches:
apps/android/wikipedia : masterAdd a visual hint of activated Offline Library

Event Timeline

cooltey added a subscriber: cooltey.Feb 8 2018, 1:41 AM

@RHo
Should the yellow dots set to invisible after users open the menu?

cooltey claimed this task.Feb 8 2018, 1:42 AM
RHo added a comment.Feb 8 2018, 1:32 PM

hi @cooltey - the dots on the overflow should disappear after the overflow menu is opened for the first time. Whether this is done by setting the dot to invisible or removing the element is up to you!

@RHo I see, thank you.

Change 409190 had a related patch set uploaded (by Cooltey; owner: Cooltey):
[apps/android/wikipedia@master] Add a visual hint of activated Offline Library

https://gerrit.wikimedia.org/r/409190

RHo triaged this task as Low priority.Mar 6 2018, 3:50 PM

Change 409190 abandoned by Cooltey:
Add a visual hint of activated Offline Library

Reason:
Abandon due to stop supports offline library feature

https://gerrit.wikimedia.org/r/409190

Dbrant closed this task as Invalid.Jun 5 2018, 3:48 PM
Dbrant added a subscriber: Dbrant.

Shelving for now, since Offline Library is no longer in our code, and given our upcoming navigation refresh, the design and placement of this component will likely be very different.